//
//  FlipView.h
//  mySubTest
//
//  Created by wangchan on 16/4/14.
//  Copyright © 2016年 Koala. All rights reserved.
//

#import <UIKit/UIKit.h>

typedef NS_ENUM(NSInteger, ViewFlipType)
{
    ViewFlipTypeLeftAndRight, //左右翻转
    ViewFlipTypeTopAndBottom,  //上下翻转
    ViewFlipTypeCurlUpAndDown //上下卷翻
};

@interface FlipView : UIView
//前景视图,背景色默认白色
@property(nonatomic,strong)UIView*frontView;
//后景视图，背景色默认白色
@property(nonatomic,strong)UIView*backView;
//是否开始翻转，默认NO；
@property(nonatomic)BOOL isBeginFlip;
//翻转类型(默认左右)
@property(nonatomic)ViewFlipType flipType;
@end





